Package com.sun.jna

# Class MethodParameterContext

java.lang.Object
com.sun.jna.ToNativeContext
com.sun.jna.FunctionParameterContext
com.sun.jna.MethodParameterContext

public class MethodParameterContext extends FunctionParameterContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodParameterContext(Function f, Object[] args, int index, Method m)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Method`
  `getMethod()`
  Get the Method in the Library instance the Function was called from.

  ### Methods inherited from class com.sun.jna.FunctionParameterContext

  `getFunction, getParameterIndex, getParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodParameterContext

    MethodParameterContext(Function f, Object[] args, int index, Method m)

- ## Method Details

  - ### getMethod

    public Method getMethod()
    Get the Method in the Library instance the Function was called from.